Subject: RE: [Sipping] DialogUsage: Clarity for 481

From: "Brett Tate" <[email-masked]>
Date: Fri, 2 Dec 2005 16:15:11 -0500

> I see two paths forward:
> 
> Option A:
>     Keep the current recommendation in this draft that 
>     a 481 means the dialog state is gone - all usages 
>     are terminated.  Start work in SIP to standardize 
>     a response that means "This usage is not found,
>     but there's a dialog here that's still good".
> 
> Option B:
>     Assert that 481 means only the usage is not found and 
>     start working on changing existing implementations to 
>     line up with that assertion.
> 
> With either option we would also need to start work on a 
> normative document updating 3261,3265 and possibly things 
> like the dialog-event package to amend the text that can be 
> interpreted as contradictory.

<snip>

> Can anyone think of other cases with more real impact 
> that would argue against B?

If option B is chosen, is a new status code going to indicate "request does
not match any existing dialog"?  If so, this could cause interop problems
since the new status code would be handled as a 400 (assuming new response
would be a 4xx) until supported by the receiver.

I prefer option A mainly because it reflects the RFC3261 definition and the
behavior presented within section 12.2.1.2.

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP